PreloadStatus (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je

## Class PreloadStatus

- java.lang.Object
- - com.sleepycat.je.PreloadStatus

- All Implemented Interfaces:
    Serializable

      public class PreloadStatus
      extends Object
      implements Serializable

  Describes the result of the `Database.preload` operation.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PreloadStatus` | `EXCEEDED_TIME` `Database.preload` took more than maxMillisecs.
    `static PreloadStatus` | `FILLED_CACHE` `Database.preload` filled maxBytes of the cache.
    `static PreloadStatus` | `SUCCESS` `Database.preload` was successful.
    `static PreloadStatus` | `USER_HALT_REQUEST` The user requested that preload stop during a call to ProgressListener.progress().

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreloadStatus(String statusName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SUCCESS

          public static final PreloadStatus SUCCESS

      `Database.preload` was successful.

    - #### FILLED_CACHE

          public static final PreloadStatus FILLED_CACHE

      `Database.preload` filled maxBytes of the cache.

    - #### EXCEEDED_TIME

          public static final PreloadStatus EXCEEDED_TIME

      `Database.preload` took more than maxMillisecs.

    - #### USER_HALT_REQUEST

          public static final PreloadStatus USER_HALT_REQUEST

      The user requested that preload stop during a call to ProgressListener.progress().

  - ### Constructor Detail

    - #### PreloadStatus

          public PreloadStatus(String statusName)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.